ApiEnableJtHaArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEnableJtHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableJtHaArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEnableJtHaArguments
      extends Object

  Arguments used for enable JT HA command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableJtHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiEnableJtHaArguments` | `fc1RoleName(String fc1RoleName)`
    `ApiEnableJtHaArguments` | `fc2RoleName(String fc2RoleName)`
    `ApiEnableJtHaArguments` | `forceInitZNode(Boolean forceInitZNode)`
    `String` | `getFc1RoleName()` Name of first Failover Controller role to be created.
    `String` | `getFc2RoleName()` Name of second Failover Controller role to be created.
    `String` | `getLogicalName()` Logical name of the JobTracker pair.
    `String` | `getNewJtHostId()` Id of host on which second JobTracker role will be added.
    `String` | `getNewJtRoleName()` Name of the second JobTracker role to be created (Optional)
    `String` | `getZkServiceName()` Name of the ZooKeeper service that will be used for auto-failover.
    `int` | `hashCode()`
    `Boolean` | `isForceInitZNode()` Initialize the ZNode even if it already exists.
    `ApiEnableJtHaArguments` | `logicalName(String logicalName)`
    `ApiEnableJtHaArguments` | `newJtHostId(String newJtHostId)`
    `ApiEnableJtHaArguments` | `newJtRoleName(String newJtRoleName)`
    `void` | `setFc1RoleName(String fc1RoleName)`
    `void` | `setFc2RoleName(String fc2RoleName)`
    `void` | `setForceInitZNode(Boolean forceInitZNode)`
    `void` | `setLogicalName(String logicalName)`
    `void` | `setNewJtHostId(String newJtHostId)`
    `void` | `setNewJtRoleName(String newJtRoleName)`
    `void` | `setZkServiceName(String zkServiceName)`
    `String` | `toString()`
    `ApiEnableJtHaArguments` | `zkServiceName(String zkServiceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableJtHaArguments

          public ApiEnableJtHaArguments()

  - ### Method Detail

    - #### newJtHostId

          public ApiEnableJtHaArguments newJtHostId(String newJtHostId)

    - #### getNewJtHostId

          public String getNewJtHostId()

      Id of host on which second JobTracker role will be added.
      Returns:
        newJtHostId

    - #### setNewJtHostId

          public void setNewJtHostId(String newJtHostId)

    - #### forceInitZNode

          public ApiEnableJtHaArguments forceInitZNode(Boolean forceInitZNode)

    - #### isForceInitZNode

          public Boolean isForceInitZNode()

      Initialize the ZNode even if it already exists. This can happen if JobTracker HA was enabled before and then disabled. Disable operation doesn't delete this ZNode. Defaults to true.
      Returns:
        forceInitZNode

    - #### setForceInitZNode

          public void setForceInitZNode(Boolean forceInitZNode)

    - #### zkServiceName

          public ApiEnableJtHaArguments zkServiceName(String zkServiceName)

    - #### getZkServiceName

          public String getZkServiceName()

      Name of the ZooKeeper service that will be used for auto-failover. This is an optional parameter if the MapReduce to ZooKeeper dependency is already set in CM.
      Returns:
        zkServiceName

    - #### setZkServiceName

          public void setZkServiceName(String zkServiceName)

    - #### newJtRoleName

          public ApiEnableJtHaArguments newJtRoleName(String newJtRoleName)

    - #### getNewJtRoleName

          public String getNewJtRoleName()

      Name of the second JobTracker role to be created (Optional)
      Returns:
        newJtRoleName

    - #### setNewJtRoleName

          public void setNewJtRoleName(String newJtRoleName)

    - #### fc1RoleName

          public ApiEnableJtHaArguments fc1RoleName(String fc1RoleName)

    - #### getFc1RoleName

          public String getFc1RoleName()

      Name of first Failover Controller role to be created. This is the Failover Controller co-located with the current JobTracker (Optional)
      Returns:
        fc1RoleName

    - #### setFc1RoleName

          public void setFc1RoleName(String fc1RoleName)

    - #### fc2RoleName

          public ApiEnableJtHaArguments fc2RoleName(String fc2RoleName)

    - #### getFc2RoleName

          public String getFc2RoleName()

      Name of second Failover Controller role to be created. This is the Failover Controller co-located with the new JobTracker (Optional)
      Returns:
        fc2RoleName

    - #### setFc2RoleName

          public void setFc2RoleName(String fc2RoleName)

    - #### logicalName

          public ApiEnableJtHaArguments logicalName(String logicalName)

    - #### getLogicalName

          public String getLogicalName()

      Logical name of the JobTracker pair. If value is not provided, \"logicaljt\" is used as the default. The name can contain only alphanumeric characters and \"-\". <p> Available since API v8.
      Returns:
        logicalName

    - #### setLogicalName

          public void setLogicalName(String logicalName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.